# coding: utf-8

"""
    Magneto API

    Magneto API is the RESTful API for the Rely.io platform.

    The version of the OpenAPI document: v0.0.1
    Contact: contact@rely.io
    Generated by OpenAPI Generator (https://openapi-generator.tech)

    Do not edit the class manually.
"""  # noqa: E501


import unittest

from magneto_api_client.models.schema_properties import SchemaProperties

class TestSchemaProperties(unittest.TestCase):
    """SchemaProperties unit test stubs"""

    def setUp(self):
        pass

    def tearDown(self):
        pass

    def make_instance(self, include_optional) -> SchemaProperties:
        """Test SchemaProperties
            include_optional is a boolean, when False only required
            params are included, when True both required and
            optional params are included """
        # uncomment below to create an instance of `SchemaProperties`
        """
        model = SchemaProperties()
        if include_optional:
            return SchemaProperties(
                type = 'object',
                title = '',
                description = '',
                format = '',
                properties = {
                    'key' : {
                        'key' : null
                        }
                    },
                items = {
                    'key' : null
                    },
                icon = '',
                enum_colors = {
                    'key' : ''
                    },
                enum_icons = {
                    'key' : ''
                    },
                enum = [
                    null
                    ],
                additional_properties = True,
                read_only = True
            )
        else:
            return SchemaProperties(
                type = 'object',
        )
        """

    def testSchemaProperties(self):
        """Test SchemaProperties"""
        # inst_req_only = self.make_instance(include_optional=False)
        # inst_req_and_optional = self.make_instance(include_optional=True)

if __name__ == '__main__':
    unittest.main()
